Page MenuHomePhabricator

[analyzer] [Refactoring+bugfix] Replace copy-paste function with a correctly implemented one
ClosedPublic

Authored by a.sidorin on Aug 19 2014, 10:26 AM.

Details

Summary

There are three copies of IsCompleteType(...) function in CSA and all of them are incomplete (I experienced crashes in some CSA's test cases). I have replaced these function calls with Type::isIncompleteType() calls.

Diff Detail

Event Timeline

a.sidorin updated this revision to Diff 12669.Aug 19 2014, 10:26 AM
a.sidorin retitled this revision from to [analyzer] [Refactoring+bugfix] Replace copy-paste function with a correctly implemented one.
a.sidorin updated this object.
a.sidorin edited the test plan for this revision. (Show Details)
a.sidorin added a subscriber: Unknown Object (MLST).
jordan_rose accepted this revision.Aug 19 2014, 10:31 AM
jordan_rose edited edge metadata.

Thanks, Aleksei!

This revision is now accepted and ready to land.Aug 19 2014, 10:31 AM
krememek edited edge metadata.Aug 19 2014, 10:48 AM

Looks good to me.

krememek accepted this revision.Aug 19 2014, 10:48 AM
krememek edited edge metadata.
zaks.anna edited edge metadata.Oct 3 2014, 3:00 PM

Committed in r219026.
Thanks Aleksei!

zaks.anna closed this revision.Aug 5 2015, 5:01 PM